%global momorel 1
%global md5sum_src0 687b44dff0cf765d193af79de7fe856f
Summary: Gnome encryption interface
Name: seahorse
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/seahorse/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.0/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: GConf2

BuildPrereq: GConf2-devel >= 2.18.0.1
BuildPrereq: avahi-devel >= 0.6.17
BuildPrereq: avahi-glib-devel >= 0.6.17
BuildPrereq: dbus-glib-devel >= 0.73
BuildPrereq: epiphany-devel >= 2.18.0
BuildPrereq: gedit-devel >= 2.18.0
BuildPrereq: glib2-devel >= 2.12.9
BuildPrereq: gnome-keyring-devel >= 0.8
BuildPrereq: gnome-panel-devel >= 2.18.0
BuildPrereq: gnome-vfs2-devel >= 2.18.0
BuildPrereq: gtk2-devel >= 2.10.9
BuildPrereq: libglade2-devel >= 2.6.0
BuildPrereq: libgnome-devel >= 2.18.0
BuildPrereq: libgnomeui-devel >= 2.18.0
BuildPrereq: libnotify-devel >= 0.4.2
BuildPrereq: libsoup-devel >= 2.2.100
BuildPrereq: libxml2-devel >= 2.6.27
BuildPrereq: nautilus-devel >= 2.18.0

Requires: GConf2

%description
Seahorse is a graphical interface for managing and using encryption
keys.  Currently it supports PGP keys (using GPG/GPGME) and SSH keys.
Its goal is to provide an easy to use Key Management Tool, along with
an easy to use interface for encryption operations.

%package devel
Summary: seahourse devel
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description devel
seahourse devel

%prep
%setup -q
%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-update-mime-database
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="seahorse-gedit.schemas seahorse.schemas"
for i in $SCHEMAS
do
    gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/$i > /dev/null
done

# update scrollkeeper
scrollkeeper-update

# update mime database
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

# update icon cache
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor


%postun
/sbin/ldconfig
scrollkeeper-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS COPYING-LIBCRYPTUI ChangeLog README THANKS
%{_sysconfdir}/gconf/schemas/%{name}-gedit.schemas
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-agent
%{_bindir}/%{name}-daemon
%{_bindir}/%{name}-preferences
%{_bindir}/%{name}-tool

%{_libdir}/libcryptui.so.*
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/%{name}-pgp.gedit-plugin
%{_libdir}/nautilus/extensions-1.0/libnautilus-seahorse.so
%{_libdir}/epiphany/2.18/extensions/libseahorseextension.so
%{_libdir}/epiphany/2.18/extensions/seahorse.ephy-extension
%{_libdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/control-center-2.0/capplets/seahorse-pgp-preferences.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_datadir}/gnome/help/%{name}-applet
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}-agent.1.*
%{_mandir}/man1/%{name}-daemon.1.*
%{_mandir}/man1/%{name}-tool.1.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}-applet
%{_datadir}/omf/%{name}
%{_datadir}/pixmaps/%{name}-applet.svg
%{_datadir}/pixmaps/%{name}-preferences.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_includedir}/libcryptui
%{_libdir}/libcryptui.a
%{_libdir}/libcryptui.so
%{_libdir}/gedit-2/plugins/libseahorse-pgp.a
%{_libdir}/nautilus/extensions-1.0/libnautilus-seahorse.a
%{_libdir}/epiphany/2.18/extensions/libseahorseextension.a
%{_libdir}/pkgconfig/cryptui-0.0.pc

%changelog
* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.92-1m)
- update to 0.9.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-2m)
- revice %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.91-1m)
- initial build (unstable)
